﻿--[Section to remove in merged SQL]
USE [Oasys]
GO
SET ANSI_WARNINGS ON
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
--~[Section to remove in merged SQL]

IF NOT EXISTS (SELECT 1 FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[ISULINEHistory]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
PRINT 'Creating table ISULINEHistory'
CREATE TABLE [dbo].[ISULINEHistory](
	[DATEADDED] [date] NOT NULL,
	[NUMB] [char](6) NOT NULL,
	[LINE] [char](4) NOT NULL,
	[SKUN] [char](6) NULL,
	[QTYO] [int] NULL,
	[QTYI] [int] NULL,
	[QTYF] [int] NULL,
	[SRTF] [bit] NOT NULL,
	[ADDM] [bit] NOT NULL,
	[REJI] [char](1) NULL,
 CONSTRAINT [PK_ISULINEHistory] PRIMARY KEY CLUSTERED 
(
	[DATEADDED] ASC,
	[NUMB] ASC,
	[LINE] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
END
GO

